package conf

import (
	beego "github.com/beego/beego/v2/server/web"
)

func init() {
	beego.LoadAppConfig("ini", "a/conf/app.conf")
}

var HTTPPort, _ = beego.AppConfig.Int("HTTPPort")
var AppName, _ = beego.AppConfig.String("appname")

// Redis
var Redis_address, _ = beego.AppConfig.String("Redis_address")
var Redis_password, _ = beego.AppConfig.String("Redis_password")
var Redis_dbNum, _ = beego.AppConfig.String("Redis_dbNum")

// Mysql
var MysqlServer_UrlPort, _ = beego.AppConfig.String("MysqlServer_UrlPort")
var MysqlServer_Database, _ = beego.AppConfig.String("MysqlServer_Database")
var MysqlServer_Username, _ = beego.AppConfig.String("MysqlServer_Username")
var MysqlServer_Password, _ = beego.AppConfig.String("MysqlServer_Password")
var MysqlServer_MaxIdleConnections, _ = beego.AppConfig.Int("MysqlServer_MaxIdleConnections")
var MysqlServer_MaxOpenConnections, _ = beego.AppConfig.Int("MysqlServer_MaxOpenConnections")

// Nats
var NatsServer_Url, _ = beego.AppConfig.String("NatsServer_Url")

var KF = "()"
var YD = "()"

//var KF_model = "('YZ100N','YZ200G','KF100N','KF100B','KF200L','BX200GSE','BX200GBL','MD100','MD200G','MP200G','BX100','KF100')"
//var YD_model = "('BW100','YD100','BW200','YD200')"
